OtherInfo (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.asn1.x9

## Class OtherInfo

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.x9.OtherInfo

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class OtherInfo
      extends ASN1Object

  ASN.1 def for Diffie-Hellman key exchange OtherInfo structure. See RFC 2631, or X9.42, for further details.

        OtherInfo ::= SEQUENCE {
            keyInfo KeySpecificInfo,
            partyAInfo [0] OCTET STRING OPTIONAL,
            suppPubInfo [2] OCTET STRING
        }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OtherInfo(KeySpecificInfo keyInfo, ASN1OctetString partyAInfo, ASN1OctetString suppPubInfo)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OtherInfo` | `getInstance(java.lang.Object obj)` Return a OtherInfo object from the passed in object.
    `KeySpecificInfo` | `getKeyInfo()` Return the key specific info for the KEK/CEK.
    `ASN1OctetString` | `getPartyAInfo()` PartyA info for key deriviation.
    `ASN1OctetString` | `getSuppPubInfo()` The length of the KEK to be generated as a 4 byte big endian.
    `ASN1Primitive` | `toASN1Primitive()` Return an ASN.1 primitive representation of this object.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OtherInfo

          public OtherInfo(KeySpecificInfo keyInfo,
                   ASN1OctetString partyAInfo,
                   ASN1OctetString suppPubInfo)

  - ### Method Detail

    - #### getInstance

          public static OtherInfo getInstance(java.lang.Object obj)

      Return a OtherInfo object from the passed in object.
      Parameters:
        `obj` - an object for conversion or a byte[].
      Returns:
        a OtherInfo

    - #### getKeyInfo

          public KeySpecificInfo getKeyInfo()

      Return the key specific info for the KEK/CEK.
      Returns:
        the key specific info.

    - #### getPartyAInfo

          public ASN1OctetString getPartyAInfo()

      PartyA info for key deriviation.
      Returns:
        PartyA info.

    - #### getSuppPubInfo

          public ASN1OctetString getSuppPubInfo()

      The length of the KEK to be generated as a 4 byte big endian.
      Returns:
        KEK length as a 4 byte big endian in an octet string.

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Return an ASN.1 primitive representation of this object.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a DERSequence containing the OtherInfo values.